gtkmm: Gtk::CellAreaBox Class Reference

gtkmm 3.1.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Gtk::CellAreaBox Class Reference

A cell area that renders CellRenderers into a row or a colum, depending on its orientation. More...

Inheritance diagram for Gtk::CellAreaBox:
[legend]
Collaboration diagram for Gtk::CellAreaBox:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellAreaBox ()
GtkCellAreaBox* | gobj ()
| Provides access to the underlying C GObject.
const GtkCellAreaBox* | gobj () const
| Provides access to the underlying C GObject.
GtkCellAreaBox* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | pack_start (CellRenderer& renderer, bool expand=false, bool align=true, bool fixed=false)
void | pack_end (CellRenderer& renderer, bool expand=false, bool align=true, bool fixed=false)
int | get_spacing () const
void | set_spacing (int spacing)
## Protected Member Functions
| CellAreaBox ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::CellAreaBox > | wrap (GtkCellAreaBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A cell area that renders CellRenderers into a row or a colum, depending on its orientation.

This class uses a notion of packing. Packing refers to adding cell renderers with reference to a particular position in a CellAreaBox. There are two reference positions: the start and the end of the box. When the CellAreaBox is oriented in the Gtk::ORIENTATION_VERTICAL orientation, the start is defined as the top of the box and the end is defined as the bottom. In the Gtk::ORIENTATION_HORIZONTAL orientation start is defined as the left side and the end is defined as the right side.

Alignments of CellRenderers rendered in adjacent rows can be configured by configuring the align_child cell property with CellArea::cell_set_property() or by specifying the "align" argument to pack_start() or pack_end().

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::CellAreaBox::~CellAreaBox | ( |  | ) | `[virtual]`

Gtk::CellAreaBox::CellAreaBox | ( |  | ) | `[protected]`

## Member Function Documentation

int Gtk::CellAreaBox::get_spacing | ( |  | ) | const

const GtkCellAreaBox* Gtk::CellAreaBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::CellArea.

GtkCellAreaBox* Gtk::CellAreaBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::CellArea.

GtkCellAreaBox* Gtk::CellAreaBox::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gtk::CellArea.

void Gtk::CellAreaBox::pack_end | ( | CellRenderer& | renderer,
|  | bool | expand = `false`,
|  | bool | align = `true`,
|  | bool | fixed = `false`
| ) |  |

void Gtk::CellAreaBox::pack_start | ( | CellRenderer& | renderer,
|  | bool | expand = `false`,
|  | bool | align = `true`,
|  | bool | fixed = `false`
| ) |  |

void Gtk::CellAreaBox::set_spacing | ( | int | spacing | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::CellAreaBox > wrap | ( | GtkCellAreaBox * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellareabox.h